package org.fouram.controller;

import org.fouram.core.base.controller.BaseController;
import org.fouram.core.util.AppUtil;
import org.fouram.service.TestService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping(value = "/test")
public class TestController extends BaseController {

	@Autowired
	private TestService testService;

	/**
	 * http://localhost:8080/sapcms/test/saveTestAnon
	 * 
	 * @return
	 * @throws Exception
	 */
	@PostMapping(value = "/saveTestAnon", produces = "application/json;charset=utf-8")
	@ResponseBody
	public Object saveTestAnon() throws Exception {
		testService.saveTest();
		return AppUtil.success();
	}
}